
#ifndef DISSECT_API_H
#define DISSECT_API_H
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif
/*
 * \brief Skip encapsulation layers and return the pointer to the inner frame. 
 *
 * The function assumes the incoming packet is ethernet frame.
 * 
 * If the packet is complete, the return is the inner layer 3 frame.
 * returns innermost l2 frame on any error.
 *
 */

void get_inner_frame_offset(uint8_t *pkt, uint32_t len, uint32_t *l2_offset, uint32_t *l3_offset);

#ifdef __cplusplus
}
#endif

#endif //DISSECT_API_H